c     This is the Fortran loader program to load Eval and Cube
c
c     Routines must be declared external to be passed properly. 
c
      external Eval, Cube
c
c     You must refer to the functions by number in the dummy procedures,
c     so mark them here.  Pass the total number as the last argument
c                  1    2
      call CallTP(Eval,Cube,2)
      stop
      end
c
      subroutine Eval(Fn,N,X,Value)
      real*8   Fn
      integer  N
      real*8   X(N),Value
      Value = Fn(N,X)
      return
      end
c
      real*8 function Cube(X)
      real*8 X
      Cube = X**3
      return
      end

